## net.sf.saxon.javax.xml.xquery
Interface XQSequenceType

All Known Subinterfaces:
  XQItemType

All Known Implementing Classes:
  SaxonXQItemType, SaxonXQSequenceType

    public interface XQSequenceType

XQJ interfaces reconstructed from version 0.5 documentation

Field Summary
`static int` `OCC_EXACTLY_ONE`
`static int` `OCC_ONE_OR_MORE`
`static int` `OCC_ZERO_OR_MORE`
`static int` `OCC_ZERO_OR_ONE`

Method Summary
`int` `getItemOccurrence()`
`XQItemType` `getItemType()`
`String` `getString()`

Field Detail

### OCC_EXACTLY_ONE

    static final int OCC_EXACTLY_ONE

See Also:
  Constant Field Values

### OCC_ONE_OR_MORE

    static final int OCC_ONE_OR_MORE

See Also:
  Constant Field Values

### OCC_ZERO_OR_MORE

    static final int OCC_ZERO_OR_MORE

See Also:
  Constant Field Values

### OCC_ZERO_OR_ONE

    static final int OCC_ZERO_OR_ONE

See Also:
  Constant Field Values

Method Detail

### getItemOccurrence

    int getItemOccurrence()

### getItemType

    XQItemType getItemType()

### getString

    String getString()
                     throws XQException

  Throws:
    `XQException`

Copyright (C) Michael H. Kay. All rights reserved.